Bug 1256992 - HiDPI not auto-enabled in VMware Fusion on 2560x1600 Retina Mac
HiDPI not auto-enabled in VMware Fusion on 2560x1600 Retina Mac
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 22:48 EDT by Brion Vibber
Modified: 2016-12-20 09:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:28:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
2560x1600 desktop on live image with wrong scaling (3.34 MB, image/png)
2015-08-25 22:48 EDT, Brion Vibber
no flags Details

  None (edit)
Description Brion Vibber 2015-08-25 22:48:29 EDT
Created attachment 1067104 [details]
2560x1600 desktop on live image with wrong scaling

Description of problem:

HiDPI mode (scaling factor 2) is not enabled at the default 2560x1600 resolution on Fedora 23 Workstation alpha installed in VMware Fusion 7 on a Retina Mac (MacBook Pro 13"). This causes text, icons, and other UI elements to be very tiny.


Version-Release number of selected component (if applicable):

Fedora 23 alpha


How reproducible:

Every time.


Steps to Reproduce:

1. Open VMWare Fusion 7
2. Create new virtual machine
3. In display settings for the VM, enable 'Use full resolution for Retina display' checkbox
4. Attach to a Fedora 23 Workstation alpha live .iso and boot
5. Go fullscreen
6. Look at the desktop in the live image, or install and then boot up to desktop


Actual results:

2560x1600 resolution, 1x scaling (tiny fonts/icons/windows)


Expected results:

2560x1600 resolution, 2x scaling (normal-size fonts/icons/windows)


Additional info:

Note that there seems to be no way in the System Settings app to set the scaling if it's not set correctly by default; would expect to find this under Displays.
Comment 1 Fedora End Of Life 2016-11-24 07:22:31 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 09:28:13 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.